Subject: Unnecessary dependencies in Coq

From: Dan Frumin <[email-masked]>
Date: Fri, 14 Dec 2018 15:59:17 +0100

I believe that the current Coq package [1] pulls in way too many dependencies.

Firstly, as it was already mentioned on Guix-devel [2], the package pulls in texlive and Hevea.
I think those are needed only for building the pdf reference manual.

Secondly, the Coq package depends on lablgtk -- I guess this is needed for building CoqIDE.
Unfortunately, it seems that due to this dependency, the package pulls in all sorts of stuff, including gstreamer and jack!
The dependency graph generated by `guix graph coq` is absolutely huge.

I think it would be beneficial to split the CoqIDE into a separate package for this reason.

[1]: https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/ocaml.scm#n628
[2]: https://lists.gnu.org/archive/html/guix-devel/2018-12/msg00291.html